---
updatedAt: 2026-05-27T07:43:30.000Z
agentTools:
  projectIndex: https://developers.getdefacto.com/llms.txt
---

# /business/data/invoices


Upload business invoices into our platform to refine borrower credit
line allowance.

This endpoint doesn't support updates on data already uploaded.


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "API Reference",
    "version": "v1.0.0"
  },
  "paths": {
    "/business/data/invoices": {
      "post": {
        "description": "\nUpload business invoices into our platform to refine borrower credit\nline allowance.\n\nThis endpoint doesn't support updates on data already uploaded.\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/APIPartnerBusinessInvoices"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "",
            "content": {
              "*/*": {
                "schema": {}
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "tags": [
          "Sharing business data"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api-sandbox.getdefacto.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "in": "header",
        "name": "Authorization",
        "type": "apiKey"
      }
    },
    "schemas": {
      "APIPartnerBusinessInvoice": {
        "properties": {
          "buyer": {
            "allOf": [
              {
                "$ref": "#/components/schemas/BuyerBusinessIdentifier"
              }
            ],
            "description": "Name or business identifier of the buyer (the billed business)"
          },
          "currency": {
            "default": "EUR",
            "description": "Currency of the invoice. Use ISO 4217 currency code.",
            "enum": [
              "AED",
              "AUD",
              "BGN",
              "BHD",
              "BRL",
              "BZD",
              "CAD",
              "CHF",
              "CLP",
              "CNY",
              "COP",
              "CUC",
              "CYP",
              "CZK",
              "DJF",
              "DKK",
              "EEK",
              "EGP",
              "ERN",
              "EUR",
              "GBP",
              "HKD",
              "HRK",
              "HUF",
              "IDR",
              "ILS",
              "INR",
              "ISK",
              "JOD",
              "JPY",
              "KMF",
              "KRW",
              "LBP",
              "LTL",
              "LVL",
              "MAD",
              "MTL",
              "MUR",
              "MXN",
              "MYR",
              "NOK",
              "NZD",
              "OMR",
              "PAB",
              "PHP",
              "PKR",
              "PLN",
              "QAR",
              "ROL",
              "RON",
              "RUB",
              "SAR",
              "SEK",
              "SGD",
              "SIT",
              "SKK",
              "THB",
              "TRL",
              "TRY",
              "UGX",
              "USD",
              "XAF",
              "XOF",
              "ZAR"
            ],
            "type": "string"
          },
          "direction": {
            "description": "Is the invoice a 'receivable' or a 'payable'.Depecrated: 'customer' or 'supplier' if the business is the customer or the supplier on the invoice ?",
            "enum": [
              "customer",
              "payable",
              "receivable",
              "supplier"
            ],
            "type": "string"
          },
          "due_at": {
            "description": "Expected date when this invoice will be fully paid.",
            "format": "date-time",
            "type": "string"
          },
          "first_payment_at": {
            "default": null,
            "description": "Earliest payment date this invoice already received.",
            "format": "date-time",
            "type": "string",
            "nullable": true
          },
          "invoice_number": {
            "description": "Invoice number as displayed on the invoice",
            "type": "string"
          },
          "issued_at": {
            "description": "Invoice creation date displayed on the invoice.",
            "format": "date-time",
            "type": "string"
          },
          "last_payment_at": {
            "default": null,
            "description": "Latest payment date this invoice already received.",
            "format": "date-time",
            "type": "string",
            "nullable": true
          },
          "net_amount": {
            "description": "Amount before tax, in cents",
            "type": "integer"
          },
          "payment_method": {
            "default": null,
            "description": "Expected payment method that will be used to pay this invoice.",
            "enum": [
              "card",
              "cheque",
              "direct_debit",
              "other",
              "wire_transfer",
              null
            ],
            "type": "string",
            "nullable": true
          },
          "salt_id": {
            "default": null,
            "description": "Unique invoice identifier.",
            "type": "string",
            "nullable": true
          },
          "seller": {
            "allOf": [
              {
                "$ref": "#/components/schemas/SellerBusinessIdentifier"
              }
            ],
            "description": "Name or business identifier of the seller (the business who bills). Must be a normalized identifier (not a name)."
          },
          "tax_amount": {
            "default": null,
            "description": "Amount of tax, in cents",
            "type": "integer",
            "nullable": true
          },
          "to_pay_amount": {
            "default": null,
            "description": "Remaining amount due by buyer to seller, in cents. Set at 0 for fully paid invoices.",
            "type": "integer",
            "nullable": true
          },
          "total_amount": {
            "default": null,
            "description": "Sum of net amount and tax amount, in cents",
            "type": "integer",
            "nullable": true
          }
        },
        "required": [
          "buyer",
          "direction",
          "due_at",
          "invoice_number",
          "issued_at",
          "net_amount",
          "seller"
        ],
        "type": "object"
      },
      "APIPartnerBusinessInvoices": {
        "properties": {
          "batch_id": {
            "default": null,
            "description": "Id of the batch you created with POST /business/data/batch-upload. This is a recommended feature.",
            "format": "uuid",
            "type": "string",
            "nullable": true
          },
          "identifier": {
            "description": "Legal identifier of the business, such as its SIRET or SIREN in France. Must not contain spaces.",
            "type": "string"
          },
          "identifier_type": {
            "description": "Type of legal business identifier of the business, such as the SIRET in France.",
            "enum": [
              "belgium_registration_number",
              "bsn",
              "cif",
              "hr_nummer",
              "kvk",
              "name",
              "nif",
              "siren",
              "siret",
              "steuernummer",
              "vat_number"
            ],
            "type": "string"
          },
          "invoices": {
            "description": "List of invoices of the business.",
            "items": {
              "$ref": "#/components/schemas/APIPartnerBusinessInvoice"
            },
            "type": "array"
          }
        },
        "required": [
          "identifier",
          "identifier_type"
        ],
        "type": "object"
      },
      "BuyerBusinessIdentifier": {
        "properties": {
          "identifier": {
            "type": "string"
          },
          "identifier_type": {
            "enum": [
              "belgium_registration_number",
              "bsn",
              "cif",
              "hr_nummer",
              "kvk",
              "name",
              "nif",
              "siren",
              "siret",
              "steuernummer",
              "vat_number"
            ],
            "type": "string"
          }
        },
        "required": [
          "identifier",
          "identifier_type"
        ],
        "type": "object"
      },
      "SellerBusinessIdentifier": {
        "properties": {
          "identifier": {
            "type": "string"
          },
          "identifier_type": {
            "enum": [
              "belgium_registration_number",
              "bsn",
              "cif",
              "hr_nummer",
              "kvk",
              "name",
              "nif",
              "siren",
              "siret",
              "steuernummer",
              "vat_number"
            ],
            "type": "string"
          }
        },
        "required": [
          "identifier",
          "identifier_type"
        ],
        "type": "object"
      }
    }
  }
}
```